#
# spec file for package yast2-config-runlevel (Version 2.4.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-wizard yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-lib-wizard yast2-testsuite ycpdoc

Name:         yast2-config-runlevel
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-runlevel yast2-lib-wizard yast2-lib-sequencer
BuildArchitectures:	noarch
Summary:      YaST2 runlevel editor
Version:      2.4.17
Release:      30
Source0:	yast2-config-runlevel-2.4.17.tar.bz2

%description
Allows changing run levels for services.

SuSE series: yast

%prep
%setup -n yast2-config-runlevel-2.4.17

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/menuentries
%dir /usr/lib/YaST2/servers_non_y2
%dir /usr/lib/YaST2/scrconf
/usr/lib/YaST2/menuentries/menuentry_runlevel.ycp
/usr/lib/YaST2/servers_non_y2/ag_initscripts
/usr/lib/YaST2/scrconf/initscripts.scr
/usr/lib/YaST2/clients/runlevel.ycp
/usr/lib/YaST2/clients/runlevel_adjust.ycp
/usr/lib/YaST2/include/runlevel
%dir /usr/share/doc/packages/yast2-config-runlevel
/usr/share/doc/packages/yast2-config-runlevel/*

%changelog -n yast2-config-runlevel
* Tue Sep 18 2001 - pblahos@suse.cz
- New icon name runlevel.png for yast2 control center.
* Mon Sep 17 2001 - pblahos@suse.cz
- When there are no changes, pressing Finish, causes exit without
  word. (Bug 10677)
* Mon Sep 10 2001 - lnussel@suse.de
- moved icon in Control Center from Group "Misc" to "System"
  (Bug #10256)
* Mon Sep 10 2001 - pblahos@suse.cz
- skips boot.orig
* Fri Sep 07 2001 - pblahos@suse.cz
- Use insserv -r service to remove service from all runlevels.
- Sets proper START_ variable to "no" when disabling service.
  (Bug 10209)
* Thu Sep 06 2001 - pblahos@suse.cz
- runlevel_adjust implements function `ask, that says whether
  service is disabled or enabled.
- .init.script.comment agent fixed. (Bug 10209)
* Thu Aug 30 2001 - pblahos@suse.cz
- libycp-devel added to needforbuild. Needed for testsuite.
* Tue Aug 21 2001 - pblahos@suse.cz
- Some texts fixed.
- START_CUPS is yes by default
- fbset does not use START_FBSET
- fixed typo in init script agent
- comment to runlevel_adjust improved
- now there is normal cursor when service status is beeing read
- start/stop service works
* Fri Aug 17 2001 - pblahos@suse.cz
- bunch on new test cases
* Mon Aug 13 2001 - pblahos@suse.cz
- Replaced spaces by tabs.
- Replaced: SCR (` by SCR:: and UI (` by UI::
- hotplug replaced usbmgr in starts.ycp lists.
* Wed Aug 08 2001 - pblahos@suse.cz
- runlevel_adjust: new module for adjusting service startup.
* Tue Aug 07 2001 - pblahos@suse.cz
- First test cases.
- Fixed: ag_initscripts agent did not work if there were
  mis-formated init scripts.
* Mon Aug 06 2001 - pblahos@suse.cz
- Add documentation to package.
- Most of the system interaction moved to agent.
* Fri Aug 03 2001 - pblahos@suse.cz
- Completed in-line comments.
- [Abort now] checks if there are changes before asking.
- Faster reading of init script comments and runlevel contents.
* Thu Aug 02 2001 - pblahos@suse.cz
- Improvements to UI and functionality.
- Uses new insserv to save changes to runlevels.
* Mon Jul 30 2001 - pblahos@suse.cz
- Saves default runlevel.
- Slightly faster reading of service descriptions.
- strings for popup with differences to current state added.
* Fri Jul 27 2001 - pblahos@suse.cz
- user interface finalized
* Mon Jul 23 2001 - pblahos@suse.cz
- initial version
